Subject: Re: Booting Linux from an ACE File

From: Marco Stornelli <[email-masked]>
Date: Fri, 16 May 2008 14:18:56 +0200

mojtaba ha scritto:
> Dear all,
> 
> Could you please explain what happens exactly when Linux is booting from a
> compact flash?
> 
> To my few knowledge, the Linux compressed image will be copied somewhere in
> memory, will be uncompressed and the control will jump to the beginning
> address of the Linux kernel.
> 
> Is there any boot loader that copies the Linux compressed image to the
> memory?
> 
> Where in memory does it put the Linux kernel? For example, if I have 2 DDRs
> in my hardware, in which of them it will be put the kernel?
> 
> Can I set the kernel location in memory manually?
> 
> Might be an stupid question but: Is it possible for the kernel to be half in
> BRAMS and half in DDR?
> 
> Regards,
> Moji
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 

 > Is there any boot loader that copies the Linux compressed image to the
 > memory?

Yes there are several boot-loader for example U-Boot.

 > Where in memory does it put the Linux kernel? For example, if I have 
2 DDRs in my hardware, in which of them it will be put the kernel?

The kernel usually is copied at the start of the memory, so if you have 
mapped the address 0x00000000 in the first bank, here will be copied it.

 > Can I set the kernel location in memory manually?

Yes but usually it's not needed and you have to be carefully to modify it.